Description

When launching gvSIG 2.3 2440 (64bit version with last java version 64 bit installed on win10) the message that "busybox.exe has
stopped working" appears very often (around 8 times over 10 launches).

Sometimes the program starts regularly after about 30 seconds, some other nothing happens and | have just to click again and again
till it starts.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4247: The exe installer ... Closed 06/28/2016

Associated revisions

Revision 42957 - 08/29/2016 02:27 PM - Joaquin del Cerro Murciano

refs #4307, eliminada temporalmente la busqueda de jre en el home/gvSIG del usuario en windows. Al parecer la forma en como se estaba haciendo
causaba que en algunos windows 64 bits el busybox fallase y abortase su ejecucion.

Revision 762 - 08/29/2016 02:31 PM - Joaquin del Cerro Murciano

refs #4307, eliminada temporalmente la busqueda de los autorun.sh de los scripts. Al parecer la forma en como se estaba haciendo causaba que en

algunos windows 64 bits el busybox fallase y abortase su ejecucion.

Revision 42958 - 08/29/2016 02:32 PM - Joaquin del Cerro Murciano

refs #4307, afadido un comentario.

History

#1 - 08/05/2016 12:22 PM - Alvaro Anguix
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#2 - 08/05/2016 12:26 PM - Giuliano Ramat
- File gvSIG-launcher.log added

#3 - 08/21/2016 06:28 PM - Joaquin del Cerro Murciano
No parece cosa facil de solucionar. Parece un problema del busybox en windows de 64 bits, y no en todos por cierto. En mi sistema (win7 64bits) no
me daba ese problema, aunque me consta que en algunos win 10 (el de Oscar) si le pasaba... aunque le pasaba a temporadas.
He encontrado la siguiente nota:

If you want to install a 32-bit build of BusyBox in a system directory on a 64-bit Windows system

you should put it in C:\Windows\SysWOW&64, which is the correct location for 32-bit binaries on
64-bit Windows. Putting it in C:\Windows\System32 will result in mysterious failures.

Nosotros no lo dejamos caer ni en un sitio ni en otro, asi que no se si afecta. Ademas no tengo claro a que version del busybox hace referencia la
nota.

De todos modos he visto que estabamos usando la version 1.22.0 del 2013 y hay una version de agosto del 2016, la 1.26.0, asi que de momento he
actualizado a esta ultima a ver si sirve de algo.

#4 - 08/28/2016 04:48 PM - Alvaro Anguix

- Related to gvSIG bugs #4247: The exe installer doesn't work added

#5 - 08/29/2016 02:42 PM - Joaquin del Cerro Murciano

- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

Bueno, creo que hemos acotado las operaciones que se hacian en el "gvSIG.sh" y que provocaban el error del busybox.

Parece ser que las construcciones del estilo de

VARIABLE=$(comando)

En las que los comandos eran "Is" o "find" hacian que el busybox fallase.

Estas se usaban para localizar versiones de la JRE en home/gvSIG/jre y para localizar ficheros autorun.sh de los paquetes de scripting.

De momento en windows no las ejecutamos ya que no parecen relevantes ahora mismo.

La 2.3.0 RC4 saldra con estos cambios hechos (revision 42957 y revision 762 de scripting).

De todos modos habria que ver de solucionar el problema para proximas versiones de gvSIG ya que ese tipo de construcciones son muy comunes en
los scripts de shell ademas de que podrian empezar a fallar con otros comandos. Sospecho que hay problemas en general en la ejecucion de
comandos en un pipe.

Aunqgue con esto parece que gvSIG arranca en las pruebas que hemos podido hacer, dejo el ticket abierto para la 2.4.0.

#6 - 05/31/2017 10:59 AM - Joaquin del Cerro Murciano

- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2817 (rev. org.gvsig.desktop-2.0.183)
- Status changed from New to Fixed

Hemos actualizado el busybox a una version de 64bits.
Espero que con eso deje de dar estos problemas.

#7 - 06/11/2017 09:46 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 437 KB 08/05/2016 Giuliano Ramat
gvSIG-launcher.log 23 KB 08/05/2016 Giuliano Ramat
